// myfindwindow: find window
// Copyright (C) 2004 GORRY.

#include "g_findwindow.h"

////////////////////////////////////////////////////////////////
// EBhET

static HWND MyFindWindow_HWNDFound;
static TCHAR *MyFindWindow_Title;

static BOOL CALLBACK MyFindWindowEnumProc(
	HWND hwnd,
	LPARAM lParam
) {
	TCHAR title[256];

	GetWindowText( hwnd, title, sizeof(title) );
	if ( !lstrcmp( MyFindWindow_Title, title ) ) {
		MyFindWindow_HWNDFound = hwnd;
		return (0);
	}

	return (!0);
}

HWND g_FindWindow(
	TCHAR *title
) {
	BOOL result;

	MyFindWindow_HWNDFound = NULL;
	MyFindWindow_Title = title;
	result = EnumWindows( MyFindWindowEnumProc, 0 );

	return ( MyFindWindow_HWNDFound );
}

////////////////////////////////////////////////////////////////
// qEBhET

static HWND MyFindChildWindow_HWNDFound;
static HWND MyFindChildWindow_HWND;

static BOOL CALLBACK MyFindChildWindowEnumProc(
	HWND hwnd,
	LPARAM lParam
) {
	HWND hwndparent;

	hwndparent = GetParent( hwnd );
	if ( hwndparent == MyFindChildWindow_HWND ) {
		MyFindChildWindow_HWNDFound = hwnd;
		return (0);
	}

	return (!0);
}

HWND g_FindChildWindow(
	HWND hwnd
) {
	BOOL result;

	MyFindChildWindow_HWNDFound = NULL;
	MyFindChildWindow_HWND = hwnd;
	result = EnumWindows( MyFindChildWindowEnumProc, 0 );

	return ( MyFindChildWindow_HWNDFound );
}


////////////////////////////////////////////////////////////////
// [EOF]
