// g_spinedit: spin&edit control
// Copyright (C) 2004 GORRY.

#include "g_spinedit.h"

////////////////////////////////////////////////////////////////
// XsGfBbgRg[ɋElݒ

int g_SpinEdit_SetLimit(
	HWND hwnd,
	int editid,
	int spinid,
	int limit1,
	int limit2
) {
	SendMessage( GetDlgItem( hwnd, spinid ), UDM_SETRANGE32, limit1, limit2 );
	return (0);
}

////////////////////////////////////////////////////////////////
// XsGfBbgRg[ɒlݒ

int g_SpinEdit_SetItem(
	HWND hwnd,
	int editid,
	int spinid,
	int item
) {
	TCHAR str[SLEN];

	wsprintf( str, TEXT("%d"), item );
	Edit_SetText( GetDlgItem( hwnd, editid ), str );

	return (0);
}

////////////////////////////////////////////////////////////////
// XsGfBbgRg[l𓾂

int g_SpinEdit_GetItem(
	HWND hwnd,
	int editid,
	int spinid,
	int *retitem,
	TCHAR *errmsg
) {
	DWORD itemrange;
	int itemmax, itemmin;
	int item;
	int ret;
	int limit1, limit2;
	TCHAR mes[SLEN];

	ret = 0;
	itemrange = SendMessage( GetDlgItem( hwnd, spinid ), UDM_GETRANGE32, (WPARAM)&limit1, (LPARAM)&limit2 );
	itemmin = limit2; itemmax = limit1;
	if ( itemmin > itemmax ) {
		item = itemmin; itemmin = itemmax; itemmax = item;
	}
	if ( errmsg == NULL ) {
		errmsg = TEXT("Range Over (%d - %d)");
	}
	wsprintf( mes, errmsg, itemmin, itemmax );
	item = GetDlgItemInt( hwnd, editid, NULL, FALSE );
	if ( item < itemmin ) {
		MessageBox( hwnd, mes, NULL, MB_ICONINFORMATION|MB_OK|MB_SETFOREGROUND|MB_TASKMODAL );
		SetFocus( GetDlgItem( hwnd, editid ) );
		item = itemmin;
		ret = -1;
	}
	if ( item > itemmax ) {
		MessageBox( hwnd, mes, NULL, MB_ICONINFORMATION|MB_OK|MB_SETFOREGROUND|MB_TASKMODAL );
		SetFocus( GetDlgItem( hwnd, editid ) );
		item = itemmax;
		ret = -2;
	}

	*(retitem) = item;
	return (ret);
}


////////////////////////////////////////////////////////////////
// [EOF]
